Core API
========

This section documents the core modules of the AI-Writer platform.

Main Application
--------------

.. automodule:: alwrity
   :members:
   :undoc-members:
   :show-inheritance:

GPT Providers
-----------

Text Generation
~~~~~~~~~~~~~

.. automodule:: lib.gpt_providers.text_generation.gemini_pro_text
   :members:
   :undoc-members:
   :show-inheritance:

.. automodule:: lib.gpt_providers.text_generation.mistral_chat_completion
   :members:
   :undoc-members:
   :show-inheritance:

.. automodule:: lib.gpt_providers.text_generation.deepseek_text_gen
   :members:
   :undoc-members:
   :show-inheritance:

Image Generation
~~~~~~~~~~~~~~

.. automodule:: lib.gpt_providers.text_to_image_generation.main_generate_image_from_prompt
   :members:
   :undoc-members:
   :show-inheritance:

.. automodule:: lib.gpt_providers.text_to_image_generation.gen_gemini_images
   :members:
   :undoc-members:
   :show-inheritance:

.. automodule:: lib.gpt_providers.text_to_image_generation.gen_dali3_images
   :members:
   :undoc-members:
   :show-inheritance: